Subject: bug#7560: 24.0.50; 'bzr status' blocking making of GNU Emacs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Dec 2010 22:54:10 +0200

> Cc: [email-masked]
> From: Glenn Morris <[email-masked]>
> Date: Mon, 06 Dec 2010 15:31:01 -0500
> 
> Eli Zaretskii wrote:
> 
> >> Anyway, to me, the question is: why is the build process running bzr
> >> status at all.
> >
> > Because many file ops, in particular save-buffer, in a versioned
> > directory do that automatically.
> 
> Then I'd ask what the point of having any of that enabled when
> building Emacs is. It cannot do anything useful, only slow the build
> down

Don't we have various VC-related features that make sense even in
batch operations, like special treatment of backups?

So perhaps, if we are annoyed by this during the build, we should turn
it off in the Makefile, not as a general feature of -batch or byte
compilation?